MAKEKDEWIDGETS(1)

makekdewidgets

NOME
makekdewidgets - Cria 'plugins' de elementos gráficos do Qt(TM) a partir de um ficheiro de descrição do estilo INI.

SINOPSE

makekdewidgets [opções do Qt(TM)] [opções do KDE] ficheiro

DESCRIçãO

O makekdewidgets cria 'plugins' de elementos gráficos do Qt(TM) a partir de um ficheiro de descrição do estilo INI.

OPçõES

Argumentos:

ficheiro
    Ficheiro de entrada

Opções:

-o <ficheiro>
    Ficheiro de resultado

-n <nome do 'plugin'>
    O nome da classe do 'plugin' a gerar [WidgetsPlugin]

-g <grupo>
    O nome do grupo predefinido de elementos onde mostrar no desenhador [Custom]

-p <pasta de imagens>
    Incorporar as imagens de uma pasta de origem

Opções genéricas:

--help
    Mostra a ajuda acerca das opções.

--help-qt
    Mostrar as opções específicas do Qt(TM)

--help-kde
    Mostra opções específicas do KDE.

--help-all
    Mostrar todas as opções

--author
    Mostra informações sobre o autor.

-v, --version
    Mostra a versão.

--license
    Mostra informações sobre a licença

Opções do KDE:

--caption <título>
    utiliza o 'caption' como o título da aplicação

--icon <ícone>
    utiliza o 'icon' como o ícone da aplicação

--miniicon <ícone>
    utiliza o 'icon' como o ícone da aplicação

--config <ficheiro>
    Usar o ficheiro de configuração alternativo

--dcopserver <servidor>
    Usar o servidor de DCOP indicado pelo 'servidor'

--nocrashhandler
    Desactivar o tratamento de estoiros para obter os ficheiros 'core'

--waitforwm
    Espera um gestor de janelas compatível com WM_NET

--style <estilo>
    Configura o estilo da GUI da aplicação

--geometry <geometria>
    Define a geometria do cliente da janela principal - veja o 'man X' para obter o formato dos argumentos

Opções do Qt(TM):

--display <nome-ecrã>
    Utilizar o ecrã do servidor de X 'displayname'

--session <id-sessão>
    Restaurar a aplicação com o 'sessionId' dado

--cmap
    Faz com que a aplicação instale um mapa de cores privado num ecrã de 8 bits

--ncols <quantidade>
    Limita o número de cores reservadas no cubo de cores para um ecrã de 8 bits, se a aplicação estiver a usar a especificações de cores QApplication::ManyColor

--nograb
    Diz ao Qt(TM) para nunca capturar o rato ou o teclado

--sync
    Muda para o modo síncrono, para fins de depuração

--fn, --font <nome-tipo-letra>
    Define o tipo de letra da aplicação

--bg, --background <cor>
    Define a cor de fundo por omissão, bem como uma paleta da aplicação (os tons claros e escuros são calculados)

--fg, --foreground <cor>
    Altera a cor do texto por omissão

--btn, --button <cor>
    Altera a cor dos botões por omissão

--name <nome>
    Define o nome da aplicação

--title <título>
    Define o título (legenda) da aplicação

--visual TrueColor
    Obriga a aplicação a usar um visual TrueColor num ecrã de 8 bits

--inputstyle <estilo-entrada>
    Define o estilo de introdução de dados do XIM (X Input Method). Os valores possíveis são 'onthespot', 'overthespot', 'offthespot' e 'root'

--im <servidor de XIM>
    Define o servidor de XIM

--noxim
    Desactiva o XIM

--reverse
    Inverte por completo a disposição dos elementos gráficos

VEJA TAMBéM

http://developer.kde.org
    Página Web do Canto do Programador do KDE

PROBLEMAS

Use por favor o bugs.kde.org[1] para comunicar os erros; não os envie directamente para os autores por e-mail.

AUTOR

Ian Reinhart Geiser <geiseri@kde.org>
    Autor.

NOTAS

1.  bugs.kde.org
    http://bugs.kde.org